Bug 1383923 - Undercloud telemetry services are disabled by default in OSP10
Summary: Undercloud telemetry services are disabled by default in OSP10
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 10.0 (Newton)
Assignee: Dan Macpherson
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks: 1367466
TreeView+ depends on / blocked
 
Reported: 2016-10-12 07:40 UTC by Marios Andreou
Modified: 2016-12-01 04:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-01 04:40:33 UTC


Attachments (Terms of Use)

Description Marios Andreou 2016-10-12 07:40:11 UTC
Description of problem:

In OSP10 undercloud telemetry services are disabled by default. When upgrading OSP9 to OSP10 the operator needs to explicity enable telemetry by setting a configuration value in the undercloud.conf:

enable_telemetry = true
 
This needs to be set on the undercloud.conf before running the OSP9 to OSP10 upgrade.

Comment 1 Marios Andreou 2016-10-13 12:00:57 UTC
retargetting as blocking the docs bug since this is a docs only fix (removing it from blocking https://bugzilla.redhat.com/show_bug.cgi?id=1337794

Comment 2 Marios Andreou 2016-10-14 09:48:11 UTC
adding a note here for docs folks the 'enable_telemetry' should be placed into the undercloud.conf under the [DEFAULT] section. 

I sanity checked today that adding it to the very *end* of the file (and so under 'auth') doesn't have the desired effect since after the undercloud upgrade my telemetry services are not running:

        [stack@instack ~]$ tail undercloud.conf 
        # Sensu service password. If left unset, one will be automatically
        # generated. (string value)
        #undercloud_sensu_password = <None>

        # HAProxy stats password. If left unset, one will be automatically
        # generated. (string value)
        #undercloud_haproxy_stats_password = <None>
        #

        enable_telemetry = true
        [stack@instack ~]$ openstack-service status | grep "aodh\|ceilo"
        Failed to get properties: Unit name openstack-zaqar@.service is missing the instance name.
        MainPID=0 Id=openstack-aodh-evaluator.service ActiveState=inactive
        MainPID=0 Id=openstack-aodh-listener.service ActiveState=inactive
        MainPID=0 Id=openstack-aodh-notifier.service ActiveState=inactive
        MainPID=0 Id=openstack-ceilometer-api.service ActiveState=inactive
        MainPID=0 Id=openstack-ceilometer-central.service ActiveState=inactive
        MainPID=0 Id=openstack-ceilometer-collector.service ActiveState=inactive
        MainPID=0 Id=openstack-ceilometer-notification.service ActiveState=inactive
        [stack@instack ~]$

Comment 3 Pradeep Kilambi 2016-11-18 14:02:56 UTC
FYI this has changed since we merged: https://review.openstack.org/#/c/386702/

I would document this more along the lines of: https://review.openstack.org/#/c/396690/

Comment 4 Dan Macpherson 2016-11-28 03:02:43 UTC
Hi guys,

I've included the following note in the upgrade doc:

"Red Hat OpenStack Platform director 10 disables OpenStack Telemetry (ceilometer) as default. If using OpenStack Telemetry on the Undercloud, set the enable_telemetry parameter in the [DEFAULT] section of the undercloud.conf file in your stack user’s home directory. Without this parameter, the Undercloud upgrade disables OpenStack Telemetry."

However, should I remove the last line as per the recommendation in comment #3?

Comment 6 Marios Andreou 2016-11-28 08:27:46 UTC
Hi Dan, you can remove the first line too, looking at https://review.openstack.org/#/c/386702/ and https://review.openstack.org/#/c/396690/ it seems this has been completely flipped. That is, in OpenStack Platform director 10 OpenStack Telemetry  services (ceilometer/aodh) on the undercloud are enabled by default. The operator can explicitly disable them by setting 'enable_telemetry=False' in the undercloud.conf configuration file, prior to running the "openstack undercloud upgrade" command to upgrade the undercloud.  

I'm running this on one of my envs right now to confirm (haven't even looked at this since verifying in comment #2 to be honest...), but looking at rhos-10-patches branch of instack-undercloud, it does appear the right bits have landed into OSP10 @ 
https://code.engineering.redhat.com/gerrit/gitweb?p=instack-undercloud.git;a=blob;f=elements/puppet-stack-config/puppet-stack-config.pp;h=387e61886ef3ed54cf8de22a9d89a9e2fbcc3f0a;hb=refs/heads/rhos-10.0-patches#l165 (enable_telemetry defaults to true, even if it isn't set in the undercloud.conf) from https://review.openstack.org/#/c/386702/

Comment 7 Marios Andreou 2016-11-28 11:28:19 UTC
(In reply to marios from comment #6)

...

> I'm running this on one of my envs right now to confirm (haven't even looked
> at this since verifying in comment #2 to be honest...), but looking at

...

confirmed without having to do anything, after the undercloud is upgraded to OSP10 I have: 


[stack@instack ~]$ openstack-service status | grep -ni "ceilo\|aodh"
Failed to get properties: Unit name openstack-zaqar@.service is missing the instance name.
4:MainPID=7887 Id=openstack-aodh-evaluator.service ActiveState=active
5:MainPID=5864 Id=openstack-aodh-listener.service ActiveState=active
6:MainPID=5879 Id=openstack-aodh-notifier.service ActiveState=active
7:MainPID=6937 Id=openstack-ceilometer-central.service ActiveState=active
8:MainPID=6844 Id=openstack-ceilometer-collector.service ActiveState=active
9:MainPID=6831 Id=openstack-ceilometer-notification.service ActiveState=active

Comment 8 Dan Macpherson 2016-11-29 05:07:29 UTC
It looks like this won't affect the OSP 9 to 10 upgrade, only just the upstream Newton minor release updates.

I've reverted the content. And if there's no objections, I'll close this BZ.

Comment 9 Dan Macpherson 2016-12-01 04:40:33 UTC
Closing as WONTFIX since the behavior has been reverted and does not require a docs note. If changes are required, please feel free to reopen this BZ.


Note You need to log in before you can comment on or make changes to this bug.